﻿using System;

namespace RH.SitecollectionList
{
	static class Common
	{
		/// <summary>
		/// will return ex.ToString() or ex.Message depending on the comilation settings
		/// </summary>
		/// <param name="ex"></param>
		/// <returns></returns>
		internal static string GetErrorMessage(Exception ex)
		{
			if (ex != null)
			{
#if DEBUG
				return ex.ToString();
#else
                return ex.Message;
#endif
			}
			return string.Empty;
		}
	}
}