﻿using System;
namespace RH.SitecollectionList
{
    class NavigationObjects : IComparable<NavigationObjects>
    {
        public string Title { get; set; }
        public string Description { get; set; }
        public string Url { get; set; }
        public string ImageUrl { get; set; }

        /// <summary>
        /// allow sorting by Title
        /// </summary>
        /// <param name="other"></param>
        /// <returns></returns>
        public int CompareTo(NavigationObjects other)
        {
            /* < 0 means that this object is less than other
            * 0 means that both objects are equal
            * > 0 means that this object is greater than other
            * */
            return this.Title.CompareTo(other.Title);
        }
    }
}
